IF  EXISTS (SELECT * FROM sys.triggers WHERE object_id = OBJECT_ID(N'[dbo].[TRG_EST_NFE_MAN_PED_TRANSF_CRED_IBS_PEND ]'))
	DROP TRIGGER [dbo].[TRG_EST_NFE_MAN_PED_TRANSF_CRED_IBS_PEND ]
GO

CREATE TRIGGER [dbo].[TRG_EST_NFE_MAN_PED_TRANSF_CRED_IBS_PEND ] ON [dbo].[EST_NFE_MAN_PED_TRANSF_CRED_IBS] FOR INSERT AS

--Pendência de emissao de carta de correcao
INSERT INTO EST_NFE_MAN_PED_TRANSF_CRED_IBS_PEND (CD_CTR_MAN_PED_TRANSF_CRED_IBS     , DT_CAD, PEND_SOLUC)
	SELECT 
		t.CD_CTR_MAN_PED_TRANSF_CRED_IBS     , 
		GETDATE(),
		0
    FROM 
    	INSERTED t 
	WHERE 				
		NOT EXISTS (SELECT 
						pend.CD_CTR_MAN_PED_TRANSF_CRED_IBS      
					FROM 
						EST_NFE_MAN_PED_TRANSF_CRED_IBS_PEND pend
					WHERE 
						t.CD_CTR_MAN_PED_TRANSF_CRED_IBS      = pend.CD_CTR_MAN_PED_TRANSF_CRED_IBS     );



